package com.pfizer.dcbls.sample.bl;

import com.pfizer.dcbls.fw.bl.BusinessLogicRunner;
import com.pfizer.dcbls.fw.FwObject;
import com.pfizer.dcbls.fw.FwException;
import com.pfizer.dcbls.sample.component.SampleCalculator;
import com.pfizer.common.util.Util;

/**
 * A BusinessLogicRunner is the simplest Business Logic Implementation.  Only the
 * component is passed in.
 * User: ClarkK03
 * Date: Feb 5, 2006
 * Time: 11:47:27 PM
 */
public class SampleAddBusinessLogic
    implements BusinessLogicRunner
{
    public void executeBusinessLogic(FwObject fwObject) throws FwException
    {
        SampleCalculator calc =
                (SampleCalculator) fwObject;
        try
        {
            calc.setProperty("result", new Integer(
                             Util.toInt(calc.getProperty("valueA")) +
                             Util.toInt(calc.getProperty("valueB"))));
        }
        catch (NoSuchFieldException e)
        {
            e.printStackTrace();
        }
    }
}
