package com.pfizer.dcbls.sample.bl;

import com.pfizer.dcbls.fw.bl.BusinessLogicController;
import com.pfizer.dcbls.fw.PersistenceManager;
import com.pfizer.dcbls.fw.FwException;
import com.pfizer.dcbls.fw.PersistedComposite;
import com.pfizer.common.util.Util;

/**
 *
 * A BusinessLogicController implementation is one way to create Business Logic.
 * In this case, the action method and PersistenceManager are both passed in, and the
 * BL Controller can take action depending on the method name.
 * User: ClarkK03
 * Date: Feb 5, 2006
 * Time: 11:49:13 PM
 */
public class SampleBusinessLogicController
    implements BusinessLogicController
{
    public void execute(String method, PersistenceManager persistenceManager) throws FwException
    {
        if ("multiply".equals(method))
        {
            PersistedComposite calc =
                    (PersistedComposite) persistenceManager.getBusinessObject();
            try
            {
                calc.setProperty("result", new Integer(
                                 Util.toInt(calc.getProperty("valueA")) *
                                 Util.toInt(calc.getProperty("valueB"))));
            }
            catch (NoSuchFieldException e)
            {
                e.printStackTrace();
            }
        }
    }
}
